"use strict";

this.name      = "behemoth_carrier"; 
this.author    = "eric walch"; 
this.copyright = "� 2008 the Oolite team.";
this.description = "ship script for the behemoth of aegidean";

this.shipSpawned = function() {
	this.ship.displayName = this.ship.name + ": " + this.ship.scriptInfo.name;
}

this.shipTargetCloaked = function ()
{
    this.cloakedTarget = this.ship.target;
    if(this.cloakingTimer) this.cloakingTimer.start()
    else this.cloakingTimer = new Timer(this, this.statusCheck, 1, 1);
};

this.statusCheck = function ()
{
    if (!this.ship || !this.ship.isValid) this.cloakingTimer.stop();
    if (this.cloakedTarget) 
    { 
        if (this.cloakedTarget.isCloaked) return;
        else 
        { 
            this.ship.target = this.cloakedTarget; 
            this.ship.reactToAIMessage("TARGET_DECLOAKED"); 
        } 
    } 
    if (this.cloakingTimer) 
    { 
        this.cloakingTimer.stop(); 
        delete this.cloakingTimer; 
    } 
};

this.playerWillEnterWitchspace = this.shipDied = function ()
{
    if (this.cloakingTimer) {this.cloakingTimer.stop(); delete this.cloakingTimer}
};

//6.12.14: function isCloaked moved to the toplevel of the function to follow strict js rules -spara-
this.shipBeingAttackedByCloaked = function ()
{
	function isCloaked(entity) {
		return (entity.isShip && entity.isCloaked);
	};
    if (!this.cloakedTarget)
    {
        this.cloakedTarget = system.filteredEntities(this, isCloaked, this.ship)[0];
    };
    if (this.cloakedTarget && this.cloakedTarget.isCloaked)
    {
        if (this.cloakingTimer) this.cloakingTimer.start()
        else this.cloakingTimer = new Timer(this, this.statusCheck, 1, 1);
    };
};

this.shipBeingAttacked = this.offenceCommittedNearby = function (who)
{
	if (this.ship.target && this.ship.target != who && (who.bounty * who.maxEnergy > this.ship.target.bounty * this.ship.target.maxEnergy || who.isPlayer) && who.scanClass !== "CLASS_POLICE")
    {
         this.ship.reactToAIMessage("SWITCH_TARGET");
         this.ship.target = who;
    }
};

