"use strict";

this.name = "behemoth-market";
this.author = "spara";
this.copyright = "2015 spara";
this.license     = "CC BY-NC-SA 4.0"; 

this.$limits = {
      "food" : [48, 52],
      "textiles" : [72, 84],
      "radioactives" : [372, 400],
      "liquor_wines" : [332, 424],
      "luxuries" : [704, 764],
      "computers" : [596, 608],
      "machinery" : [468, 496],
      "alloys" : [312, 436],
      "gold" : [348, 376],
      "platinum" : [616, 740],
      "gem_stones" : [160, 220],
      "alien_items" : [780, 904]
};

this.updateLocalCommodityDefinition = function(goodDefinition) {
	var commodity = goodDefinition.key;
	var limits = this.$limits[commodity];
	//definition found for the good. calculate it with a simple rounding of a flat probability.
	if (limits) {
		goodDefinition.price = limits[0] + Math.round(Math.random() * (limits[1] - limits[0]));
		goodDefinition.quantity = 0;
		goodDefinition.capacity = 31;//not much storage
	}
	//no definition found. nullify the goods.
	else {
		goodDefinition.price = 0;
		goodDefinition.quantity = 0;
		goodDefinition.capacity = 0;
	}	
	return goodDefinition;
};
